Class | RSS::Maker::RSSBase
In: | rss/maker/base.rb
Parent: | Object

### Methods

make make new to_rss

### Included Modules

Base

### Attributes

encoding | [RW] |
rss_version | [R] |
standalone | [RW] |
version | [RW] |

### Public Class methods

make(&block)

[Source]

    # File rss/maker/base.rb, line 137
            def make(&block)
              new.make(&block)
            end

new(rss_version)

[Source]

    # File rss/maker/base.rb, line 161
          def initialize(rss_version)
            super(self)
            @rss_version = rss_version
            @version = "1.0"
            @encoding = "UTF-8"
            @standalone = nil
          end

### Public Instance methods

make() {|self| ...}

[Source]

    # File rss/maker/base.rb, line 169
          def make
            if block_given?
              yield(self)
              to_rss
            else
              nil
            end
          end

to_rss()

[Source]

    # File rss/maker/base.rb, line 178
          def to_rss
            rss = make_rss
            setup_xml_stylesheets(rss)
            setup_elements(rss)
            setup_other_elements(rss)
            if rss.channel
              rss
            else
              nil
            end
          end

[Validate]